RIPSER-COEFF(1)

NAME
ripser-coeff - fast computation of persistent homology of flag complexes

SYNOPSIS
ripser-coeff [--help] [--format format] [--dim k] [--threshold t] [--ratio r] [--modulus p] [filename]

DESCRIPTION
ripser-coeff computes persistent homology of flag complexes (such as Vietoris-Rips complexes) only, allowing significant gains in computation time and memory usage over the general situation. Unlike ripser, it computes over an arbitrary finite field. See https://arxiv.org/abs/1908.02518 for details.

OPTIONS

--help
    Display help.

--format format
    Specify input format. See --help for a full list.

--dim k
    Compute persistent homology up to dimension k.

--threshold t
    Compute Rips complexes up to diameter t.

--ratio r
    Only show persistence pairs with death/birth ratio > r.

--modulus p
    Compute homology with coefficients in the prime field Z/pZ.

filename
    Read input from this file. Uses stdin if not present.